# Class `Objects.Room`

Room object.

## Functions

Room:GetRoomNumber() | Get the room's number.
Room:GetName() | Get the room's unique string identifier.
Room:GetColor() | Get the room's ambient light color.
Room:GetReverbType() | Get the room's reverb type.
Room:SetName(name) | Set the room's unique string identifier.
Room:SetReverbType(Reverb) | Set the room's reverb type.
Room:SetFlag(flagID, Boolean) | Set the room's specified flag.
Room:GetFlag(flagID) | Get the room's specified flag value (true or false).
Room:IsTagPresent(tag) | Check if the specified tag is set for the room.
Room:GetActive() | Check if the room is active.

## Functions

Room:GetRoomNumber()
  Get the room's number. ()

  ### Returns:

  int Room number.
Room:GetName()
  Get the room's unique string identifier. ()

  ### Returns:

  string Room name.
Room:GetColor()
  Get the room's ambient light color. ()

  ### Returns:

  Color Ambient light color.
Room:GetReverbType()
  Get the room's reverb type. ()

  ### Returns:

  RoomReverb Reverb type.
Room:SetName(name)
  Set the room's unique string identifier. ()

  ### Parameters:

  - name string New name.
Room:SetReverbType(Reverb)
  Set the room's reverb type. ()

  ### Parameters:

  - Reverb RoomReverb type.
Room:SetFlag(flagID, Boolean)
  Set the room's specified flag. ()

  ### Parameters:

  - flagID RoomFlagID Room flag ID.
  - Boolean bool to set the flag to.
Room:GetFlag(flagID)
  Get the room's specified flag value (true or false). ()

  ### Parameters:

  - flagID RoomFlagID Room flag ID.
Room:IsTagPresent(tag)
  Check if the specified tag is set for the room. ()

  ### Parameters:

  - tag string Text tag to check (case sensitive).

  ### Returns:

  bool Boolean of the tag's presence.
Room:GetActive()
  Check if the room is active. ()

  ### Returns:

  bool Boolean of the room's active status.

generated by TEN-LDoc (a fork of LDoc 1.4.6)